# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define ver_major 2.22
%def_disable static

Name: libgweather
Version: %ver_major.3
Release: alt0.M41.1
Summary: A library for weather information

Group: System/Libraries
License: GPLv2+
Url: http://www.gnome.org
Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Source1: copy.xsl


# From configure.in
%define gtk_ver 2.11.0
%define glib_ver 2.13.0
%define gnome_vfs_ver 2.15.4
%define gconf_ver 2.8.0
%define intltool_ver 0.35.0


BuildPreReq: libGConf-devel >= %gconf_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gnome-vfs-devel >= %gnome_vfs_ver
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: rpm-build-gnome

BuildRequires: gcc-c++ libxml2-devel perl-XML-Parser xml-utils


BuildRequires: rpm-build-compat >= 0.95

%description
libgweather is a library to access weather information from online
services for numerous locations.

%package devel
Summary: Development files for %name
Group: Development/GNOME and GTK+
# libgweather used to be part of gnome-applets, and
# gnome-applets-devel only had the libgweather-devel parts in it
Obsoletes: gnome-applets-gweather-devel < %version
Provides: gnome-applets-gweather-devel = %version
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup -q

%build
%configure %{subst_enable static}
%make_build

cd po
make %name.pot
for p in *.po; do
  msgmerge -U $p %name.pot
done
make
cd ..

%install
# waste less space
xsltproc %SOURCE1 data/Locations.xml > loc.xml
sed -e "s/^\s*//" -e "/^$/d" loc.xml > data/Locations.xml

%make_install DESTDIR=%buildroot install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %name

%post
%post_ldconfig
%gconf2_install gweather

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall gweather
fi

%postun -p %postun_ldconfig

%files -f %name.lang
%doc COPYING
%gconf_schemasdir/*.schemas
%_libdir/*.so.*
%_datadir/%name

%files devel
%_includedir/%name
%_libdir/*.so
%_pkgconfigdir/*

%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Mon Jun 30 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.3-alt1
- new version 2.22.3

* Tue Apr 08 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1.1-alt1
- new version 2.22.1.1

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- 2.22.0

* Mon Mar 10 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.92-alt1
- initial build for ALTLinux

